package org.siqisource.agave.web;

import javax.servlet.ServletContext;

import org.springframework.stereotype.Component;
import org.springframework.web.context.ServletContextAware;

@Component
public class Path implements ServletContextAware {

	/** physicalPath */
	private static String physicalPath;
	
	/** contextPath  */
	private static String contextPath;


	public void setServletContext(ServletContext servletContext) {
		
		physicalPath = servletContext.getRealPath("/");
		contextPath = servletContext.getContextPath();
		
		int iLastSlash = contextPath.lastIndexOf('/');
		if (iLastSlash != -1 && iLastSlash == contextPath.length() - 1) {
			contextPath = contextPath.substring(0, iLastSlash);
		}
	}

	public static String getContextPath() {
		return contextPath;
	}

	public static String getPhysicalPath() {
		return physicalPath;
	}
}
